package com.xhpc.user.domain;

import com.xhpc.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;


/**
 * C端用户 xhpc_app_user
 *
 * @author ruoyi
 */
public class XhpcAppUser extends BaseEntity {


    /**
     * 用户id
     */
    private Long appUserId;

    /**
     * 手机号码
     */
    @Length(max = 11, message = "手机号码不能超过11位")
    private String phone;

    /**
     * weixin_open_id
     */
    @Length(max = 50, message = "openId不能超过50位")
    private String weixinOpenId;

    /**
     * alipay_open_id
     */
    @Length(max = 50, message = "openId不能超过50位")
    private String alipayOpenId;

    /**
     * 微信是否登录（0未登录 1已登录）
     */
    private Integer weixinLogin;

    /**
     * 支付宝是否登录（0未登录 1已登录）
     */
    private Integer alipayLogin;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 余额
     */
    private BigDecimal balance;

    /**
     * 密码(加密)
     */
    private String password;

    /**
     * 帐号状态
     */
    private Integer status;

    /**
     * 是否有退款订单审核（0无 1有）
     */
    private Integer isRefundApplication;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    private Integer soc;

    private Integer isRefund;

    private Integer socProtect;

    private String tenantId;

    private String email;

    public Long getAppUserId() {
        return appUserId;
    }

    public void setAppUserId(Long appUserId) {
        this.appUserId = appUserId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getWeixinOpenId() {
        return weixinOpenId;
    }

    public void setWeixinOpenId(String weixinOpenId) {
        this.weixinOpenId = weixinOpenId;
    }

    public String getAlipayOpenId() {
        return alipayOpenId;
    }

    public void setAlipayOpenId(String alipayOpenId) {
        this.alipayOpenId = alipayOpenId;
    }

    public Integer getWeixinLogin() {
        return weixinLogin;
    }

    public void setWeixinLogin(Integer weixinLogin) {
        this.weixinLogin = weixinLogin;
    }

    public Integer getAlipayLogin() {
        return alipayLogin;
    }

    public void setAlipayLogin(Integer alipayLogin) {
        this.alipayLogin = alipayLogin;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsRefundApplication() {
        return isRefundApplication;
    }

    public void setIsRefundApplication(Integer isRefundApplication) {
        this.isRefundApplication = isRefundApplication;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getSoc() {

        return soc;
    }

    public void setSoc(Integer soc) {

        this.soc = soc;
    }

    public Integer getIsRefund() {
        return isRefund;
    }

    public void setIsRefund(Integer isRefund) {
        this.isRefund = isRefund;
    }

    public Integer getSocProtect() {
        return socProtect;
    }

    public void setSocProtect(Integer socProtect) {
        this.socProtect = socProtect;
    }

    @Override
    public String getTenantId() {
        return tenantId;
    }

    @Override
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
}
